VESPA-LOG(1)

NAME
vespa-log - Show the Vespa log

SYNOPSIS
vespa log [relative-period] [flags]

DESCRIPTION
Show the Vespa log.

The logs shown can be limited to a relative or fixed period. All timestamps are shown in UTC.

Logs for the past hour are shown if no arguments are given.

OPTIONS
-f, --follow[=false]
    Follow logs

-F, --from=""
    Include logs since this timestamp (RFC3339 format)

-h, --help[=false]
    help for log

-l, --level="debug"
    The maximum log level to show. Must be "error", "warning", "info" or "debug"

-n, --nldequote[=true]
    Dequote LF and TAB characters in log messages

-T, --to=""
    Include logs until this timestamp (RFC3339 format)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa log 1h
    $ vespa log --nldequote=false 10m
    $ vespa log --from 2021-08-25T15:00:00Z --to 2021-08-26T02:00:00Z
    $ vespa log --follow

SEE ALSO
vespa(1)